#set ($has_search_class = '')
#if ( $theme_display.getThemeSetting('header-search') == 'true' )
	#set ($has_search_class = '-has-search')
#end
<nav class="tg nav $has_search_class" role="navigation">
	<h2 class="sr-only">#language ('navigation')</h2>
	<ul aria-label="#language ("site-pages")" role="menubar">

		#if ( $theme_display.getThemeSetting('header-search') == 'true' )
			## Used only for TextGrid Repository
			<li class="tg nav_item -search">
				<form class="tg search -header" action="$theme_display.getURLPortal()/search">
					<fieldset class="tg search_fake-input">
						<div class="tg search_filter">
							#set ($filterParam = $request.getParameter('filter'))
							#if ( $filterParam )
								<input class="tg search_checkbox" id="search-filters-active" type="checkbox" checked>
								<label for="search-filters-active">#language('filters-active')</label>
							#end
						</div>

						<div class="tg search_search">
							<label class="sr-only" for="search-query-2">#language('search-term'):</label>
							#set ($queryParam = $escapeTool.html($request.getParameter('query')))
							#if ( $queryParam )
								<input value="$queryParam" class="tg search_input -header" id="search-query-2" name="query" placeholder="#language('search-term')" type="search">
							#else
								<input class="tg search_input -header" id="search-query-2" name="query" placeholder="#language('search-term')" type="search">
							#end
							<button class="tg search_submit" type="submit"><span class="sr-only">#language('do-search')</span></button>
						</div>
					</fieldset>
					<a class="tg search_advanced-search-link" href="/advanced-search">#language('advanced-search')</a>
				</form>
			</li>
		#end

		#foreach ($nav_item in $nav_items)
			#set ($has_popup_class = '')
			#set ($toggle_popup_attr = '')
			#set ($toggle_popup_class = '')
			#set ($selected_attr = '')
			#set ($selected_class = '')

			#if ($nav_item.isSelected())
				#set ($selected_attr = 'aria-selected="true"')
				#set ($selected_class = '-current')
			#end

			#if ($nav_item.hasChildren())
				#set ($has_popup_class = '-has-dropdown')
				#set ($toggle_popup_attr = 'aria-haspopup="true"')
				#set ($toggle_popup_class = 'tg dropdown_toggle -nav')
			#end

			<li class="tg nav_item $selected_class $has_popup_class" id="layout_$nav_item.getLayoutId()" role="presentation">
				<a aria-labelledby="layout_$nav_item.getLayoutId()" href="$nav_item.getURL()" class="$toggle_popup_class" $toggle_popup_attr $nav_item.getTarget() role="menuitem">
					$nav_item.icon()
					$nav_item.getName()
				</a>

				#if ($nav_item.hasChildren())
					<ul class="tg dropdown_menu -nav" role="menu">
						#foreach ($nav_child in $nav_item.getChildren())
							#set ($child_selected_attr = '')
							#set ($child_selected_class = '')

							#if ($nav_child.isSelected())
								#set ($child_selected_attr = 'aria-selected="true"')
								#set ($child_selected_class = '-current')
							#end

							<li class="$child_selected_class" id="layout_$nav_child.getLayoutId()" $child_selected_attr role="presentation">
								<a aria-labelledby="layout_$nav_child.getLayoutId()" href="$nav_child.getURL()" $nav_child.getTarget() role="menuitem">$nav_child.getName()</a>
							</li>
						#end
					</ul>
				#end
			</li>
		#end

	</ul>
</nav>
